pcl::PairwiseGraphRegistration< GraphT, PointT > Class Template Reference
Module registration

PairwiseGraphRegistration class aligns the clouds two by two More...

`#include <pcl/registration/pairwise_graph_registration.h>`

Inheritance diagram for pcl::PairwiseGraphRegistration< GraphT, PointT >:

## Public Types

typedef Registration< PointT, PointT >::Ptr | RegistrationPtr
typedef pcl::registration::GraphHandler< GraphT >::Vertex | GraphHandlerVertex
Public Types inherited from pcl::GraphRegistration< GraphT >
typedef pcl::registration::GraphHandler< GraphT > | GraphHandler
typedef pcl::registration::GraphHandler< GraphT >::Ptr | GraphHandlerPtr
typedef pcl::registration::GraphHandler< GraphT >::ConstPtr | GraphHandlerConstPtr
typedef pcl::registration::GraphHandler< GraphT >::Vertex | GraphHandlerVertex

## Public Member Functions

virtual | ~PairwiseGraphRegistration ()
| Empty destructor. More...
| PairwiseGraphRegistration ()
| Empty constructor. More...
| PairwiseGraphRegistration (const RegistrationPtr &reg, bool incremental)
| Constructor. More...
void | setRegistrationMethod (const RegistrationPtr &reg)
| Set the registration object. More...
RegistrationPtr | getRegistrationMethod ()
| Get the registration object. More...
void | setIncremental (bool incremental)
| If True the initial transformation is always set to the Identity. More...
bool | isIncremental () const
| Is incremental ? More...
Public Member Functions inherited from pcl::GraphRegistration< GraphT >
| GraphRegistration ()
| Empty constructor. More...
virtual | ~GraphRegistration ()
| Empty destructor. More...
template<typename PointT >
void | addPointCloud (const typename pcl::PointCloud< PointT >::ConstPtr &cloud, const Eigen::Matrix4f &pose)
| Add a point cloud and the associated camera pose to the graph. More...
void | setGraphHandler (GraphHandlerPtr &gh)
| Set the graph handler. More...
GraphHandlerPtr | getGraphHandler ()
| Get a pointer to the graph handler. More...
GraphHandlerConstPtr | getGraphHandler () const
| Get a pointer to the graph handler. More...
void | compute ()
| Check if new poses have been added, then call the registration method which is implemented by the subclasses. More...

## Protected Attributes

RegistrationPtr | registration_method_
| The registration object. More...
bool | incremental_
| If True the initial transformation is always set to the Identity. More...
Protected Attributes inherited from pcl::GraphRegistration< GraphT >
GraphHandlerPtr | graph_handler_
| The graph handler. More...
GraphHandlerVertex | last_aligned_vertex_
| The last estimated pose. More...
std::vector< GraphHandlerVertex > | last_vertices_
| The vertices added to the graph since the last call to compute. More...

## Detailed Description

### template<typename GraphT, typename PointT>
class pcl::PairwiseGraphRegistration< GraphT, PointT >

PairwiseGraphRegistration class aligns the clouds two by two

Author
  Nicola Fioraio

Definition at line 54 of file pairwise_graph_registration.h.

## Member Typedef Documentation

template<typename GraphT , typename PointT >

typedef pcl::registration::GraphHandler<GraphT>::Vertex pcl::PairwiseGraphRegistration< GraphT, PointT >::GraphHandlerVertex

Definition at line 62 of file pairwise_graph_registration.h.

template<typename GraphT , typename PointT >

typedef Registration<PointT, PointT>::Ptr pcl::PairwiseGraphRegistration< GraphT, PointT >::RegistrationPtr

Definition at line 61 of file pairwise_graph_registration.h.

## Constructor & Destructor Documentation

template<typename GraphT , typename PointT >

virtual pcl::PairwiseGraphRegistration< GraphT, PointT >::~PairwiseGraphRegistration | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 65 of file pairwise_graph_registration.h.

template<typename GraphT , typename PointT >

pcl::PairwiseGraphRegistration< GraphT, PointT >::PairwiseGraphRegistration | ( |  | ) |

inline

Empty constructor.

Definition at line 69 of file pairwise_graph_registration.h.

template<typename GraphT , typename PointT >

pcl::PairwiseGraphRegistration< GraphT, PointT >::PairwiseGraphRegistration | ( | const RegistrationPtr & | reg,
|  | bool | incremental
| ) |  |

inline

Constructor.

Definition at line 72 of file pairwise_graph_registration.h.

## Member Function Documentation

template<typename GraphT , typename PointT >

RegistrationPtr pcl::PairwiseGraphRegistration< GraphT, PointT >::getRegistrationMethod | ( |  | ) |

inline

Get the registration object.

Definition at line 84 of file pairwise_graph_registration.h.

References pcl::PairwiseGraphRegistration< GraphT, PointT >::registration_method_.

template<typename GraphT , typename PointT >

bool pcl::PairwiseGraphRegistration< GraphT, PointT >::isIncremental | ( |  | ) | const

inline

Is incremental ?

Definition at line 98 of file pairwise_graph_registration.h.

References pcl::PairwiseGraphRegistration< GraphT, PointT >::incremental_.

template<typename GraphT , typename PointT >

void pcl::PairwiseGraphRegistration< GraphT, PointT >::setIncremental | ( | bool | incremental | ) |

inline

If True the initial transformation is always set to the Identity.

Definition at line 91 of file pairwise_graph_registration.h.

References pcl::PairwiseGraphRegistration< GraphT, PointT >::incremental_.

template<typename GraphT , typename PointT >

void pcl::PairwiseGraphRegistration< GraphT, PointT >::setRegistrationMethod | ( | const RegistrationPtr & | reg | ) |

inline

Set the registration object.

Definition at line 77 of file pairwise_graph_registration.h.

References pcl::PairwiseGraphRegistration< GraphT, PointT >::registration_method_.

## Member Data Documentation

template<typename GraphT , typename PointT >

bool pcl::PairwiseGraphRegistration< GraphT, PointT >::incremental_

protected

If True the initial transformation is always set to the Identity.

Definition at line 107 of file pairwise_graph_registration.h.

Referenced by pcl::PairwiseGraphRegistration< GraphT, PointT >::isIncremental(), and pcl::PairwiseGraphRegistration< GraphT, PointT >::setIncremental().

template<typename GraphT , typename PointT >

RegistrationPtr pcl::PairwiseGraphRegistration< GraphT, PointT >::registration_method_

protected

The registration object.

Definition at line 105 of file pairwise_graph_registration.h.

Referenced by pcl::PairwiseGraphRegistration< GraphT, PointT >::getRegistrationMethod(), and pcl::PairwiseGraphRegistration< GraphT, PointT >::setRegistrationMethod().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/pairwise_graph_registration.h
- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/impl/pairwise_graph_registration.hpp